com.unitech.lib.engine.types

## Enum ConnectionIndicator

- java.lang.Object
- - java.lang.Enum<ConnectionIndicator>
  - - com.unitech.lib.engine.types.ConnectionIndicator

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionIndicator>

      public enum ConnectionIndicator
      extends Enum<ConnectionIndicator>

  The ConnectionIndicator enum represents different types of connection indicators. Each connection indicator is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of a connection indicator, and to get a connection indicator from its byte value. It also provides a method to get an array containing the names of the connection indicators.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `beeper`
    `beeperVibrator`
    `none`
    `vibrator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionIndicator` | `fromValue(byte value)` Gets a connection indicator from its byte value.
    `byte` | `getCode()` Gets the byte value of the connection indicator.
    `static String[]` | `names()` Returns an array containing the names of the connection indicator constants.
    `String` | `toString()` Returns the string message of the connection indicator.
    `static ConnectionIndicator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final ConnectionIndicator none

    - #### beeper

          public static final ConnectionIndicator beeper

    - #### vibrator

          public static final ConnectionIndicator vibrator

    - #### beeperVibrator

          public static final ConnectionIndicator beeperVibrator

  - ### Method Detail

    - #### values

          public static ConnectionIndicator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionIndicator c : ConnectionIndicator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionIndicator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the connection indicator.
      Returns:
        The byte value of the connection indicator.

    - #### toString

          public String toString()

      Returns the string message of the connection indicator.
      Overrides:
        `toString` in class `Enum<ConnectionIndicator>`
      Returns:
        The string message of the connection indicator.

    - #### fromValue

          public static ConnectionIndicator fromValue(byte value)
                                               throws IllegalArgumentException

      Gets a connection indicator from its byte value.
      Parameters:
        `value` - The byte value of the connection indicator.
      Returns:
        The connection indicator associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any connection indicator.

    - #### names

          public static String[] names()

      Returns an array containing the names of the connection indicator constants.
      Returns:
        An array containing the names of the connection indicator constants.